或阿呆のブログ

Pythonを好んで使っているプログラマです。Ruby,Perl,PowerShell,VBAなどでもたまに書いています。おバカなことが大好きです。

Linux Mint 16 Petra で Flashを再生する(動画を見る)

いくつか方法はあるようだが、、、GUI操作でやると面倒っぽい。

コマンドラインから以下を打ち込めばOK

$ sudo apt-get -y install flashplugin-installer

参考までにログです

[sudo] password for tom: 
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
以下のパッケージが自動でインストールされましたが、もう必要とされていません:
  libgcroots0 libuim-custom2 libuim-data libuim-scm0 libuim8 uim-common
  uim-fep uim-gtk3 uim-qt uim-utils uim-xim
これを削除するには 'apt-get autoremove' を利用してください。
以下の特別パッケージがインストールされます:
  libnspr4 libnspr4-0d update-notifier-common
提案パッケージ:
  x-ttcidfont-conf ttf-mscorefonts-installer ttf-xfree86-nonfree xfs
以下のパッケージは「削除」されます:
  adobe-flashplugin
以下のパッケージが新たにインストールされます:
  flashplugin-installer libnspr4-0d update-notifier-common
以下のパッケージはアップグレードされます:
  libnspr4
アップグレード: 1 個、新規インストール: 3 個、削除: 1 個、保留: 251 個。
383 kB のアーカイブを取得する必要があります。
この操作後に 15.2 MB のディスク容量が解放されます。
取得:1 http://archive.ubuntu.com/ubuntu/ saucy-updates/main libnspr4 i386 2:4.9.5-1ubuntu1.1 [132 kB]
取得:2 http://archive.ubuntu.com/ubuntu/ saucy-updates/main update-notifier-common all 0.147.1 [236 kB]
取得:3 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe libnspr4-0d i386 2:4.9.5-1ubuntu1.1 [6,836 B]
取得:4 http://archive.ubuntu.com/ubuntu/ saucy-updates/multiverse flashplugin-installer i386 11.2.202.350ubuntu0.13.10.1 [6,932 B]
383 kB を 3秒 で取得しました (120 kB/s)     
パッケージを事前設定しています ...
(データベースを読み込んでいます ... 現在 178342 個のファイルとディレクトリがインストールされています。)
adobe-flashplugin を削除しています ...
mintsystem のトリガを処理しています ...
hicolor-icon-theme のトリガを処理しています ...
(データベースを読み込んでいます ... 現在 178323 個のファイルとディレクトリがインストールされています。)
libnspr4:i386 2:4.9.5-1ubuntu1 を (.../libnspr4_2%3a4.9.5-1ubuntu1.1_i386.deb で) 置換するための準備をしています ...
libnspr4:i386 を展開し、置換しています...
以前に未選択のパッケージ update-notifier-common を選択しています。
(.../update-notifier-common_0.147.1_all.deb から) update-notifier-common を展開しています...
以前に未選択のパッケージ libnspr4-0d:i386 を選択しています。
(.../libnspr4-0d_2%3a4.9.5-1ubuntu1.1_i386.deb から) libnspr4-0d:i386 を展開しています...
以前に未選択のパッケージ flashplugin-installer を選択しています。
(.../flashplugin-installer_11.2.202.350ubuntu0.13.10.1_i386.deb から) flashplugin-installer を展開しています...
libnspr4:i386 (2:4.9.5-1ubuntu1.1) を設定しています ...
update-notifier-common (0.147.1) を設定しています ...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.2.202.350.orig.tar.gz
Installing from local file /tmp/tmpBAi5qZ.gz
Flash Plugin installed.
libnspr4-0d:i386 (2:4.9.5-1ubuntu1.1) を設定しています ...
flashplugin-installer (11.2.202.350ubuntu0.13.10.1) を設定しています ...
libc-bin のトリガを処理しています ...

これでFirefoxを再起動したら再生出来ました。

apt-getって便利~